Bug 159124 - [PATCH] security/hydra won't compile without -I /usr/local/include
Summary: [PATCH] security/hydra won't compile without -I /usr/local/include
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gabor Kovesdan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-22 22:00 UTC by Michael Scheidell
Modified: 2011-08-18 20:00 UTC (History)
0 users

See Also:


Attachments
file.txt (1.01 KB, text/plain)
2011-07-22 22:00 UTC, Michael Scheidell
no flags Details
hydra-6.5_1.diff.txt (1.41 KB, text/plain)
2011-08-15 19:56 UTC, R.Mahmatkhanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Scheidell 2011-07-22 22:00:23 UTC
attempting to compile hydra 6.5, I get this error:

In file included from hydra-nntp.c:2:
sasl.h:24:24: error: stringprep.h: No such file or directory
sasl.h:26:18: error: pr29.h: No such file or directory
gmake: *** [hydra-nntp.o] Error 1
*** Error code 1

Stop in /usr/ports/security/hydra.
*** Error code 1

Stop in /usr/ports/security/hydra.

Fix: need to include /usr/local/include:

cd /usr/local/include
 ls -lt stringprep.h
-r--r--r--  1 root  wheel  8052 Jul 21 11:04 stringprep.h
 ls -l pr29.h 
-r--r--r--  1 root  wheel  1980 Jul 21 11:04 pr29.h

apply this patch, adds -I/usr/local/include (or $PREFIX/include)



Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/security/hydra
make
Comment 1 Edwin Groothuis freebsd_committer 2011-07-22 22:00:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gabor

gabor@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-07-22 22:00:51 UTC
Maintainer of security/hydra,

Please note that PR ports/159124 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159124

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-07-22 22:00:54 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 R.Mahmatkhanov 2011-07-22 22:26:01 UTC
Edwin Groothuis wrote on 23.07.2011 01:00:
> Maintainer of security/hydra,
>
> Please note that PR ports/159124 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159124
>

Sorry, i can't reproduce it here (9-current and 8-stable).
Would you mind to submit full buildlog (including configure stage) and 
include some details like:
- which options do you use to compile security/hydra
- which compiler do you use (clang/stock gcc/gcc from ports)
- do you have any custom flags in /etc/make.conf
- does adding CPPFLAGS= "-I${LOCALBASE}/include 
-I{LOCALBASE}/include/sasl" into port Makefile work for you

-- 
Regards,
Ruslan
Comment 5 R.Mahmatkhanov 2011-07-24 07:32:38 UTC
Edwin Groothuis wrote on 23.07.2011 01:00:
> Maintainer of security/hydra,
>
> Please note that PR ports/159124 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159124
>

I just successfully built it on 7.3 and 7.4:
http://happy-nation.by.ru/ports/tb/7.3-hydra-6.5.log
http://happy-nation.by.ru/ports/tb/7.4-hydra-6.5.log

So it looks like your local environment issue.

-- 
Regards,
Ruslan
Comment 6 Gabor Kovesdan freebsd_committer 2011-08-08 11:53:56 UTC
State Changed
From-To: feedback->closed

Maintainer pointed out that this is a local issue at submitter's environment, 
no need to fix the port. Thanks for the submission anyway!
Comment 7 Helmut Schneider 2011-08-15 11:56:31 UTC
I'm facing the same problem on all of my 8.2 machines (i386 and amd64).

Writing Makefile.in ...
now type "make"
===>  Building for hydra-6.5
cc -I. -Wall -O2 -pipe -fno-strict-aliasing -o pw-inspector  pw-inspector.c
cc -I. -Wall -O2 -pipe -fno-strict-aliasing -c 
hydra-vnc.c -DLIBOPENSSL -DLIBOPENSSLNEW -DLIBIDN -DHAVE_PR29_H -DHAVE_PCRE  
-DHAVE_MATH_H
cc -I. -Wall -O2 -pipe -fno-strict-aliasing -c 
hydra-pcnfs.c -DLIBOPENSSL -DLIBOPENSSLNEW -DLIBIDN -DHAVE_PR29_H -DHAVE_PCRE 
 -DHAVE_MATH_H
cc -I. -Wall -O2 -pipe -fno-strict-aliasing -c 
hydra-rexec.c -DLIBOPENSSL -DLIBOPENSSLNEW -DLIBIDN -DHAVE_PR29_H -DHAVE_PCRE 
 -DHAVE_MATH_H
cc -I. -Wall -O2 -pipe -fno-strict-aliasing -c 
hydra-nntp.c -DLIBOPENSSL -DLIBOPENSSLNEW -DLIBIDN -DHAVE_PR29_H -DHAVE_PCRE 
 -DHAVE_MATH_H
In file included from hydra-nntp.c:2:
sasl.h:24:24: error: stringprep.h: No such file or directory
sasl.h:26:18: error: pr29.h: No such file or directory
gmake: *** [hydra-nntp.o] Error 1
*** Error code 1

Stop in /usr/ports/security/hydra.
*** Error code 1

Stop in /usr/ports/security/hydra.
** Command failed [exit code 1]: /usr/bin/script -qa 
/tmp/portinstall20110815-95957-1n5npfq-0 env make
** Fix the problem and try again.
** Listing the failed packages (-:ignored / *:skipped / !:failed)
        ! security/hydra        (missing header)
Comment 8 Michael Scheidell 2011-08-15 14:51:39 UTC
On 8/15/11 6:56 AM, Helmut Schneider wrote:
> I'm facing the same problem on all of my 8.2 machines (i386 and amd64).

Please reconsider this patch.

there is nothing all that strange in my amd 7.3 systems either, and none 
of them will compile hydra without the patch.
there is nothing strange in my make.conf file.
Adding the patch will fix a problem that seems to be replicatable, and 
this patch won't hurt systems that are not affected.  eg: it is upward 
compatible.
Helmut:  do you think you have a misconfigured system?  why is yours 
like my systems, and not like yandex's systems?



my make.conf:

WITH_MYSQL_VER=51
WITH_BDB_VER=44
WITH_OPENLDAP_VER=24
CPUTYPE?=nocona
WITHOUT_IPV6=yes
NO_PF = true
NO_FORTRAN= true    # do not build g77 and related libraries
NO_GAMES=    true    # do not build games (games/ subdir)
NOUUCP= true    # do not build uucp related programs
NO_LPR=        true    # do not build lpr and related programs
NO_I4B=        true    # do not build isdn4bsd package
NO_SENDMAIL=   true    # do not build sendmail and related
NO_SHAREDOCS=  true    # do not build the 4.4BSD legacy docs
NO_KERBEROS=   true    # do not build and install Kerberos 5
NO_IPFILTER=   true    # do not build IP Filter package
NO_CVS=        true
NO_INET6=        true
NO_BLUETOOTH=  true
MODULES_OVERRIDE=   ../dev/silbpi
MAKE_IDEA=  YES # IDEA (128 bit symmetric encryption)
NO_MAKEDEV= true
COMPAT4X=   yes
PRINTERDEVICE=  ascii
USA_RESIDENT=       YES
DOC_LANG=   en_US.ISO_8859-1
POWEROFF_DELAY= 10
XFREE86_VERSION=4
WITH_LCD_FILTERING=yes
SUP_UPDATE=     yes
SUP=            /usr/local/bin/cvsup
SUPFLAGS=       -g -L 2
SUPHOST=        cvsup5.FreeBSD.org
SUPFILE=       /usr/local/share/cvsup/secure-supfile
POSTFIX_DEFAULT_MTA=yes
X11BASE=${LOCALBASE}
WITHOUT_SENDMAIL=yes
LOG_OPENVPN=LOG_LOCAL6
NET_SNMP_MIB_MODULES="host disman/event-mib mibII/mta_postfix 
mibII/tcpTable ucd-snmp/diskio"
PERL_VERSION=5.10.1

______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.secnap.com/products/spammertrap/
______________________________________________________________________
Comment 9 R.Mahmatkhanov 2011-08-15 15:00:38 UTC
Ok, i'll look at this in next two days.
But it definitely has something to do with your make.conf settings (the 
way your world was builded), make be NO_KERBEROS or something like that, 
because it builds fine in clean 7.x and 8.x environment, also as 
not-so-clean 9.x environment.

-- 
Regards,
Ruslan
Comment 10 Helmut Schneider 2011-08-15 15:27:31 UTC
> Please reconsider this patch.

It worked with patch (of course).

> Helmut:  do you think you have a misconfigured system?

Hopefully not... ;) But no, I don't think so. I run postfix with sasl2 
support which might be of interest according to the sasl.h error.

> there is nothing strange in my make.conf file.

[helmut@BSDHelmut832 ~]$ cat /etc/make.conf
WITHOUT_X11=YES

# added by use.perl 2011-08-08 23:24:26
PERL_VERSION=5.10.1
[helmut@BSDHelmut832 ~]$

pkgtools.conf:
  MAKE_ARGS = {
        'www/apache22' => [
                '-DWITH_PROXY',
                '-DWITH_PROXY_CONNECT',
                '-DWITH_PROXY_FTP',
                '-DWITH_PROXY_HTTP',
                '-DWITH_LDAP',
                '-DWITH_AUTHNZ_LDAP',
                '-DWITH_BDB',
                '-DWITH_APR_FROM_PORTS',
        ],
        'devel/apr1' => [
                '-DWITH_LDAP',
        ],
        'mail/postfix' => [
                '-DWITH_PCRE',
                '-DWITH_SASL2',
                '-DWITH_TLS',
        ],
        'shells/scponly' => [
                '-DWITH_SCPONLY_CHROOT',
                '-DWITH_SCPONLY_SCP',
                '-DWITH_SCPONLY_SFTP_LOGGING',
                '-DWITH_SCPONLY_WINSCP',
        ],
        'lang/php5' => [
                '-DWITH_APACHE',
                '-DWITH_SUHOSIN',
        ],
        'www/squid31' => [
                '-DWITH_SQUID_LDAP_AUTH',
                '-DWITH_SQUID_SSL',
                '-DWITH_SQUID_REFERER_LOG',
                '-DWITH_SQUID_USERAGENT_LOG',
                '-DWITH_SQUID_LARGEFILE',
        ],
        'www/privoxy' => [
                '-DWITH_ACCEPT_FILTER',
        ],
        'net-mgmt/nagios-plugins' => [
                '-DWITH_NETSNMP',
                '-DWITH_MYSQL',
                '-DWITH_LDAP',
        ],
        'www/typo3' => [
                '-DWITH_GD',
                '-DWITH_ZLIB',
                '-DWITH_IMAGICK',
        ],
        'mail/p5-Mail-SpamAssassin' => [
                '-DWITH_SPF_QUERY',
                '-DWITHOUT_SSL',
                '-DWITH_RAZOR',
                '-DWITH_DKIM',
                '-DWITH_DCC',
        ],
        'security/amavisd-new' => [
                '-DWITH_BDB',
                '-DWITH_SNMP',
                '-DWITH_POF',
                '-DWITH_RAR',
                '-DWITH_UNRAR',
                '-DWITH_UNARJ',
                '-DWITH_NOMARCH',
                '-DWITH_UNZOO',
                '-DWITH_TNEF',
        ],
        'mail/dcc-dccd' => [
                '-DWITHOUT_SENDMAIL',
        ],
        'editors/vim' => [
                '-DWITHOUT_X11',
                '-DWITH_PERL',
        ],
        'mail/pear-Mail' => [
                '-DWITH_PEAR_NET_SMTP',
        ],
        'net-mgmt/net-snmp' => [
                '-DWITH_MFD_REWRITES',
        ],
        'ftp/vsftpd' => [
                '-DWITH_RC_NG',
        ],
        'security/sudo' => [
                '-DWITH_LDAP',
        ],
        'lang/perl5.10' => [
                '-DWITH_THREADS',
        ],
        'security/hydra' => [
                '-DWITH_SSH',
        ],
  }

[helmut@BSDHelmut832 ~]$ pkg_info
GeoIP-1.4.8_1       Find the country that any IP address or hostname 
originates
ImageMagick-nox11-6.7.0.10_1 Image processing tools
apache-2.2.19       Version 2.2.x of Apache web server with prefork MPM.
apr-ipv6-devrandom-gdbm-db42-ldap24-1.4.5.1.3.12 Apache Portability Library
autoconf-2.68       Automatically configure source code on many Un*x 
platforms
autoconf-wrapper-20101119 Wrapper script for GNU autoconf
automake-1.11.1     GNU Standards-compliant Makefile generator (1.11)
automake-wrapper-20101119 Wrapper script for GNU automake
bash-4.1.10         The GNU Project's Bourne Again SHell
bigreqsproto-1.1.1  BigReqs extension headers
bison-2.4.3,1       A parser generator from FSF, (mostly) compatible with 
Yacc
bonnie++-1.96_1     Performance Test of Filesystem I/O
ca_root_nss-3.12.9  The root certificate bundle from the Mozilla Project
cdiff-1.5           Diff readability enhancher for color terminals
cups-client-1.4.6   Common UNIX Printing System: Library cups
cups-image-1.4.6    Common UNIX Printing System: Library cupsimage
curl-7.21.3_2       Non-interactive tool to get files from FTP, GOPHER, 
HTTP(S)
cyrus-sasl-2.1.23_3 RFC 2222 SASL (Simple Authentication and Security Layer)
db41-4.1.25_4       The Berkeley DB package, revision 4.1
db42-4.2.52_5       The Berkeley DB package, revision 4.2
db47-4.7.25.4       The Berkeley DB package, revision 4.7
dbus-1.4.6          A message bus system for inter-application communication
distilator-0.2_1    A command-line script to check the availability of a 
ports
duplicity-0.6.13    Untrusted backup using rsync algorithm
expat-2.0.1_1       XML 1.0 parser written in C
fastest_cvsup-0.3.0 Finds fastest CVSup server
fftw3-3.2.2_1       Fast C routines to compute the Discrete Fourier 
Transform
fontconfig-2.8.0_1,1 An XML-based font configuration API for X Windows
freetype2-2.4.6     A free and portable TrueType font rendering engine
fusefs-kmod-0.3.9.p1.20080208_7 Kernel module for fuse
fusefs-libs-2.7.4   FUSE allows filesystem implementation in userspace
gamin-0.1.10_4      A file and directory monitoring system
gd-2.0.35_7,1       A graphics library for fast creation of images
gdbm-1.8.3_3        The GNU database manager
genplist-0.6        Generates a static plist for a port
gettext-0.18.1.1    GNU gettext package
ghostscript9-nox11-9.02_4 Ghostscript 9.x PostScript interpreter
gio-fam-backend-2.28.8 FAM backend for GLib\'s GIO library
glib-2.28.8         Some useful routines of C programming (current stable 
versi
gmake-3.82          GNU version of 'make' utility
gmp-5.0.2           A free library for arbitrary precision arithmetic
gnome_subr-1.0      Common startup and shutdown subroutines used by GNOME 
scrip
gnupg-2.0.18        The GNU Privacy Guard
gnutls-2.12.7_2     GNU Transport Layer Security library
gsfonts-8.11_5      Standard Fonts for Ghostscript
help2man-1.40.4     Automatically generating simple manual pages from 
program o
icu-4.8.1           International Components for Unicode (from IBM)
inputproto-2.0.1    Input extension headers
isc-dhcp41-server-4.1.e_2,2 The ISC Dynamic Host Configuration Protocol 
server
jasper-1.900.1_9    An implementation of the codec specified in the 
JPEG-2000 s
jbig2dec-0.11       Decoder implementation of the JBIG2 image compression 
forma
jbigkit-1.6         Lossless compression for bi-level images such as scanned 
pa
jpeg-8_3            IJG's jpeg compression utilities
kbproto-1.0.5       KB extension headers
lcms-1.19_1,1       Light Color Management System -- a color management 
library
lftp-4.3.1          Shell-like command line ftp client
libICE-1.0.7,1      Inter Client Exchange library for X11
libSM-1.1.1_3,1     Session Management library for X11
libX11-1.3.6,1      X11 library
libXau-1.0.6        Authentication Protocol library for X11
libXaw-1.0.8,1      X Athena Widgets library
libXdmcp-1.0.3      X Display Manager Control Protocol library
libXext-1.1.2,1     X11 Extension library
libXmu-1.1.0,1      X Miscellaneous Utilities libraries
libXp-1.0.0,1       X print library
libXpm-3.5.7        X Pixmap library
libXt-1.0.9         X Toolkit library
libassuan-2.0.2     IPC library used by GnuPG and gpgme
libcheck-0.9.8      A unit test framework for C
libdnet-1.11_3      A simple interface to low level networking routines
libevent-1.4.14b_2  Provides an API to execute callback functions on certain 
ev
libfpx-1.2.0.12_1   Library routines for working with Flashpix images
libgcrypt-1.5.0     General purpose crypto library based on code used in 
GnuPG
libgpg-error-1.10   Common error values for all GnuPG components
libiconv-1.13.1_1   A character set conversion library
libidn-1.22         Internationalized Domain Names command line tool
libksba-1.2.0       KSBA is an X.509 Library
liblqr-1-0.4.1_2    An easy to use C/C++ seam carving library
libltdl-2.4         System independent dlopen wrapper
libpthread-stubs-0.3_3 This library provides weak aliases for pthread 
functions
librsync-0.9.7_2    Library for delta compression of streams
libtool-2.4         Generic shared library support script
libublio-20070103   User space caching library
libxcb-1.7          The X protocol C-language Binding (XCB) library
libxml2-2.7.8_1     XML parser library for GNOME
libxslt-1.1.26_3    The XSLT C library for GNOME
lua-5.1.4_6         Small, compilable scripting language providing easy 
access
m4-1.4.16,1         GNU m4
mysql-client-5.1.58 Multithreaded SQL database (client)
mysql-server-5.1.58 Multithreaded SQL database (server)
ncftp-3.2.4         ftp replacement with advanced user interface
net-snmp-5.7_2      An extendable SNMP implementation
nettle-2.2          A low-level cryptographic library
newfile-1.0.14_2    A tool for creating starter files in various languages
nmap-5.59.b1        Port scanning utility for large networks
ntfsprogs-2.0.0_2   Utilities and library to manipulate NTFS partitions
open-vm-tools-nox11-313025_3 Open VMware tools for FreeBSD VMware guests
openldap-client-2.4.26 Open source LDAP client implementation
openntpd-4.6_1,2    OpenBSD's Network Time Protocol daemon
p5-Authen-NTLM-1.08_1 An NTLM authentication module
p5-BerkeleyDB-0.49  Perl5 interface to the Berkeley DB package
p5-Class-Accessor-0.34 Automated accessor generation
p5-Compress-Raw-Bzip2-2.037 Low-Level Interface to bzip2 compression library
p5-Compress-Raw-Zlib-2.037 Low-Level Interface to zlib compression library
p5-Date-Manip-6.24  Perl5 module containing date manipulation routines
p5-Digest-HMAC-1.03 Perl5 interface to HMAC Message-Digest Algorithms
p5-Digest-SHA1-2.13 Perl interface to the SHA-1 Algorithm
p5-Encode-Locale-1.02 Determine the locale encoding
p5-File-Listing-6.02 Parse directory listings
p5-Geo-IP-1.38      Gets country name by IP or hostname
p5-HTML-Parser-3.68 Perl5 module for parsing HTML documents
p5-HTML-Tagset-3.20 Some useful data table in parsing HTML
p5-HTTP-Cookies-6.00 HTTP Cookie jars
p5-HTTP-Daemon-6.00 Simple HTTP server class
p5-HTTP-Date-6.00   Conversion routines for the HTTP protocol date formats
p5-HTTP-Message-6.02 Representation of HTTP style messages
p5-HTTP-Negotiate-6.00 Implementation of the HTTP content negotiation 
algorithm
p5-HTTP-SimpleLinkChecker-1.16 Check the HTTP response code for a link
p5-IO-Compress-2.037 Perl5 compression modules (bzip2, deflate, gzip, zlib, 
zip)
p5-IO-Socket-SSL-1.44 Perl5 interface to SSL sockets
p5-LWP-MediaTypes-6.01 Guess media type for a file or a URL
p5-List-MoreUtils-0.33 Provide the stuff missing in List::Util
p5-Locale-gettext-1.05_3 Message handling functions
p5-Net-HTTP-6.01    Low-level HTTP client
p5-Net-SSLeay-1.36  Perl5 interface to SSL
p5-Socket6-0.23     IPv6 related part of the C socket.h defines and 
structure m
p5-TimeDate-1.20,1  Perl5 module containing a better/faster date parser for 
abs
p5-URI-1.58         Perl5 interface to Uniform Resource Identifier (URI) 
refere
p5-WWW-RobotRules-6.01 Database of robots.txt-derived permissions
p5-YAML-Syck-1.17   Fast, lightweight YAML and JSON loader and dumper
p5-libwww-6.02_1    Perl5 library for WWW access
pcre-8.12           Perl Compatible Regular Expressions library
perl-threaded-5.10.1_4 Practical Extraction and Report Language
php5-5.3.6_1        PHP Scripting Language
php5-ctype-5.3.6_1  The ctype shared extension for php
php5-filter-5.3.6_1 The filter shared extension for php
php5-gd-5.3.6_1     The gd shared extension for php
php5-json-5.3.6_1   The json shared extension for php
php5-mysql-5.3.6_1  The mysql shared extension for php
php5-session-5.3.6_1 The session shared extension for php
php5-xml-5.3.6_1    The xml shared extension for php
php5-zlib-5.3.6_1   The zlib shared extension for php
pkg-config-0.25_1   A utility to retrieve information about installed 
libraries
pkg_search-1.3      A nifty script searching the ports database
png-1.4.8           Library for manipulating PNG images
popt-1.16           A getopt(3) like library with a number of enhancements, 
fro
portlint-2.13.6     A verifier for FreeBSD port directory
porttools-0.99_1    Tools for testing and submitting port updates and new 
ports
portupgrade-2.4.8_1,2 FreeBSD ports/packages administration and management 
tool s
postfix-2.8.4,1     A secure alternative to widely-used Sendmail
printproto-1.0.4    Print extension headers
pth-2.0.7           GNU Portable Threads
py27-fail2ban-0.8.4_2 Scans log files and bans IP that makes too many 
password fa
python27-2.7.2_1    An interpreted object-oriented programming language
rsync-3.0.8         A network file distribution/synchronization utility
ruby-1.8.7.352,1    An object-oriented interpreted scripting language
ruby18-bdb-0.6.6    Ruby interface to Sleepycat's Berkeley DB revision 2 or 
lat
ruby18-deplate-0.8.5 Ruby tool for converting wiki-like markup
scan_ffs-1.2        Scan_ffs recovers lost disklabel
screen-4.0.3_12     A multi-screen window manager
squid-3.1.14        HTTP Caching Proxy
sudo-1.8.1_5        Allow others to run commands as root
t1lib-5.1.2_1,1     A Type 1 Rasterizer Library for UNIX/X11
testdisk-6.12       Tool to check and undelete partitions
tiff-4.0.0_2        Tools and library routines for working with TIFF images
tmux-1.5            A Terminal Multiplexer
typo3-4.3.12        The typo3 content management system
typo3-4.4.9         The typo3 content management system
typo3-4.5.4         The typo3 content management system
unzip-6.0_1         List, test and extract compressed files in a ZIP archive
webalizer-geoip-2.23.5 A web server log file analysis program
wget-1.12_4         Retrieve files from the Net via HTTP(S) and FTP
xcmiscproto-1.2.0   XCMisc extension headers
xextproto-7.1.1     XExt extension headers
xf86bigfontproto-1.2.0 XFree86-Bigfont extension headers
xorg-macros-1.11.0  X.Org development aclocal macros
xproto-7.0.16       X11 protocol headers
xtrans-1.2.5        Abstract network code for X
[helmut@BSDHelmut832 ~]$

--------------------------------------------------
From: "Michael Scheidell" <scheidell@secnap.net>
Sent: Monday, August 15, 2011 3:51 PM
To: "Helmut Schneider" <jumper99@gmx.de>
Cc: <bug-followup@FreeBSD.org>; <cvs-src@yandex.ru>
Subject: Re: ports/159124: [PATCH] security/hydra won&#39;t compile 
without -I /usr/local/include

>
>
> On 8/15/11 6:56 AM, Helmut Schneider wrote:
>> I'm facing the same problem on all of my 8.2 machines (i386 and amd64).
>
> Please reconsider this patch.
>
> there is nothing all that strange in my amd 7.3 systems either, and none 
> of them will compile hydra without the patch.
> there is nothing strange in my make.conf file.
> Adding the patch will fix a problem that seems to be replicatable, and 
> this patch won't hurt systems that are not affected.  eg: it is upward 
> compatible.
> Helmut:  do you think you have a misconfigured system?  why is yours like 
> my systems, and not like yandex's systems?
>
>
>
> my make.conf:
>
> WITH_MYSQL_VER=51
> WITH_BDB_VER=44
> WITH_OPENLDAP_VER=24
> CPUTYPE?=nocona
> WITHOUT_IPV6=yes
> NO_PF = true
> NO_FORTRAN= true    # do not build g77 and related libraries
> NO_GAMES=    true    # do not build games (games/ subdir)
> NOUUCP= true    # do not build uucp related programs
> NO_LPR=        true    # do not build lpr and related programs
> NO_I4B=        true    # do not build isdn4bsd package
> NO_SENDMAIL=   true    # do not build sendmail and related
> NO_SHAREDOCS=  true    # do not build the 4.4BSD legacy docs
> NO_KERBEROS=   true    # do not build and install Kerberos 5
> NO_IPFILTER=   true    # do not build IP Filter package
> NO_CVS=        true
> NO_INET6=        true
> NO_BLUETOOTH=  true
> MODULES_OVERRIDE=   ../dev/silbpi
> MAKE_IDEA=  YES # IDEA (128 bit symmetric encryption)
> NO_MAKEDEV= true
> COMPAT4X=   yes
> PRINTERDEVICE=  ascii
> USA_RESIDENT=       YES
> DOC_LANG=   en_US.ISO_8859-1
> POWEROFF_DELAY= 10
> XFREE86_VERSION=4
> WITH_LCD_FILTERING=yes
> SUP_UPDATE=     yes
> SUP=            /usr/local/bin/cvsup
> SUPFLAGS=       -g -L 2
> SUPHOST=        cvsup5.FreeBSD.org
> SUPFILE=       /usr/local/share/cvsup/secure-supfile
> POSTFIX_DEFAULT_MTA=yes
> X11BASE=${LOCALBASE}
> WITHOUT_SENDMAIL=yes
> LOG_OPENVPN=LOG_LOCAL6
> NET_SNMP_MIB_MODULES="host disman/event-mib mibII/mta_postfix 
> mibII/tcpTable ucd-snmp/diskio"
> PERL_VERSION=5.10.1
>
> ______________________________________________________________________
> This email has been scanned and certified safe by SpammerTrap(r). For 
> Information please see http://www.secnap.com/products/spammertrap/
> ______________________________________________________________________
Comment 11 Michael Scheidell 2011-08-15 15:29:41 UTC
On 8/15/11 10:27 AM, Helmut Schneider wrote:
> Hopefully not... ;) But no, I don't think so. I run postfix with sasl2
> support which might be of interest according to the sasl.h error.

than that is it.  if you are running postfix, you need this patch.  and, 
the patch won't hurt.

Helmut: can you open a new bug? add in the information that it looks 
like users with postfix installed (I don't use sasl2), but, just postfix 
installed will have this problem?

reference old bug, or pull in my patch.

it was just a matter of finding out what was different.


______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.secnap.com/products/spammertrap/
______________________________________________________________________
Comment 12 R.Mahmatkhanov 2011-08-15 15:41:02 UTC
Helmut Schneider wrote on 15.08.2011 14:56:
> In file included from hydra-nntp.c:2:
> sasl.h:24:24: error: stringprep.h: No such file or directory
> sasl.h:26:18: error: pr29.h: No such file or directory

Both of this files (stringprep.h and pr29.h) belongs to dns/libidn. Did 
you have libidn installed? If not, does installing libidn fix the build?

-- 
Regards,
Ruslan
Comment 13 Helmut Schneider 2011-08-15 16:39:16 UTC
> Both of this files (stringprep.h and pr29.h) belongs to dns/libidn. Did 
> you have libidn installed? If not, does installing libidn fix the build?

Yes, libidn was installed when I installed from ports. But regarding 
ports/159789, I created a package on the machine where libidn was installed 
and then installed that package on a machine where libidn was not installed. 
Maybe that was causing the error.

@Michael: Why is a new PR required?

--------------------------------------------------
From: "Ruslan Mahmatkhanov" <cvs-src@yandex.ru>
Sent: Monday, August 15, 2011 4:41 PM
To: "Helmut Schneider" <jumper99@gmx.de>
Cc: <bug-followup@FreeBSD.org>; <scheidell@secnap.net>
Subject: Re: ports/159124: [PATCH] security/hydra won&#39;t compile 
without -I /usr/local/include

> Helmut Schneider wrote on 15.08.2011 14:56:
>> In file included from hydra-nntp.c:2:
>> sasl.h:24:24: error: stringprep.h: No such file or directory
>> sasl.h:26:18: error: pr29.h: No such file or directory
>
> Both of this files (stringprep.h and pr29.h) belongs to dns/libidn. Did 
> you have libidn installed? If not, does installing libidn fix the build?
>
> -- 
> Regards,
> Ruslan
>
Comment 14 Michael Scheidell 2011-08-15 17:13:42 UTC
On 8/15/11 11:39 AM, Helmut Schneider wrote:
> Yes, libidn was installed when I installed from ports. But regarding 
> ports/159789, I created a package on the machine where libidn was 
> installed and then installed that package on a machine where libidn 
> was not installed. Maybe that was causing the error.
>
> @Michael: Why is a new PR required?

because you can't re-open a closed one.

as for libidn, if this is a dependency, then it needs to be pulled in, 
but...  I have systems that don't have libidn, and does have postfix, 
and the patch fixes it just fine.

so, libidn MIGHT be needed, or MIGHT not.  those include files are on 
the system, in the /usr/local/include/ directory with or without libidn.
in fact, I get two different errors, depending on if libidn is installed 
or not.
on MY system, I need BOTH libidn, AND the include patch.



without:
portinstall security/hydra

cc -I. -Wall -O2 -fno-strict-aliasing -pipe -march=nocona -c hydra-mod.c 
-DLIBOPENSSL -DLIBOPENSSLNEW -DHAVE_PCRE -DHAVE_MATH_H
hydra-mod.c:11:18: error: pcre.h: No such file or directory
hydra-mod.c: In function 'hydra_string_match':
hydra-mod.c:828: error: 'pcre' undeclared (first use in this function)
hydra-mod.c:828: error: (Each undeclared identifier is reported only once
hydra-mod.c:828: error: for each function it appears in.)
hydra-mod.c:828: error: 're' undeclared (first use in this function)
hydra-mod.c:833: warning: implicit declaration of function 'pcre_compile'
hydra-mod.c:833: error: 'PCRE_CASELESS' undeclared (first use in this 
function)
hydra-mod.c:833: error: 'PCRE_DOTALL' undeclared (first use in this 
function)
hydra-mod.c:839: warning: implicit declaration of function 'pcre_exec'
gmake: *** [hydra-mod.o] Error 1
*** Error code 1

Stop in /usr/ports/security/hydra.
*** Error code 1

Stop in /usr/ports/security/hydra.
** Command failed [exit code 1]: /usr/bin/script -qa 
/var/tmp/portinstall20110815-46665-c1h58b-0 env make
** Fix the problem and try again.
** Listing the failed packages (-:ignored / *:skipped / !:failed)
     ! security/hydra    (missing header)

pkg_info | grep pcre
pcre-8.12           Perl Compatible Regular Expressions library
php52-pcre-5.2.17   The pcre shared extension for php

portinstall dns/libidn

_PCRE -DHAVE_MATH_H
In file included from hydra-nntp.c:2:
sasl.h:24:24: error: stringprep.h: No such file or directory
sasl.h:26:18: error: pr29.h: No such file or directory
gmake: *** [hydra-nntp.o] Error 1
*** Error code 1

Stop in /usr/ports/security/hydra.
*** Error code 1

Stop in /usr/ports/security/hydra.

______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.secnap.com/products/spammertrap/
______________________________________________________________________
Comment 15 Gabor Kovesdan freebsd_committer 2011-08-15 17:22:41 UTC
State Changed
From-To: closed->open

Reopen. It seems this is actually a problem.
Comment 16 R.Mahmatkhanov 2011-08-15 18:04:45 UTC
Michael Scheidell wrote on 15.08.2011 20:13:
>
>
> On 8/15/11 11:39 AM, Helmut Schneider wrote:
>> Yes, libidn was installed when I installed from ports. But regarding
>> ports/159789, I created a package on the machine where libidn was
>> installed and then installed that package on a machine where libidn
>> was not installed. Maybe that was causing the error.
>>
>> @Michael: Why is a new PR required?
>
> because you can't re-open a closed one.
>
> as for libidn, if this is a dependency, then it needs to be pulled in,
> but... I have systems that don't have libidn, and does have postfix, and
> the patch fixes it just fine.
>
> so, libidn MIGHT be needed, or MIGHT not. those include files are on the
> system, in the /usr/local/include/ directory with or without libidn.
> in fact, I get two different errors, depending on if libidn is installed
> or not.
> on MY system, I need BOTH libidn, AND the include patch.

Ok, i was able to reproduce the issue. To make it break you should build 
hydra WITH libidn installed and WITHOUT libssh. Am i right that you have 
SSH option disabled (default)?

-- 
Regards,
Ruslan
Comment 17 Helmut Schneider 2011-08-15 18:14:09 UTC
> Ok, i was able to reproduce the issue. To make it break you should build 
> hydra WITH libidn installed and WITHOUT libssh. Am i right that you have 
> SSH option disabled (default)?

When I opened the PR libidn was installed and libssh was not selected, yes.

--------------------------------------------------
From: "Ruslan Mahmatkhanov" <cvs-src@yandex.ru>
Sent: Monday, August 15, 2011 7:04 PM
To: "Michael Scheidell" <scheidell@secnap.net>
Cc: "Helmut Schneider" <jumper99@gmx.de>; <bug-followup@FreeBSD.org>
Subject: Re: ports/159124: [PATCH] security/hydra won&#39;t compile 
without -I /usr/local/include

> Michael Scheidell wrote on 15.08.2011 20:13:
>>
>>
>> On 8/15/11 11:39 AM, Helmut Schneider wrote:
>>> Yes, libidn was installed when I installed from ports. But regarding
>>> ports/159789, I created a package on the machine where libidn was
>>> installed and then installed that package on a machine where libidn
>>> was not installed. Maybe that was causing the error.
>>>
>>> @Michael: Why is a new PR required?
>>
>> because you can't re-open a closed one.
>>
>> as for libidn, if this is a dependency, then it needs to be pulled in,
>> but... I have systems that don't have libidn, and does have postfix, and
>> the patch fixes it just fine.
>>
>> so, libidn MIGHT be needed, or MIGHT not. those include files are on the
>> system, in the /usr/local/include/ directory with or without libidn.
>> in fact, I get two different errors, depending on if libidn is installed
>> or not.
>> on MY system, I need BOTH libidn, AND the include patch.
>
> Ok, i was able to reproduce the issue. To make it break you should build 
> hydra WITH libidn installed and WITHOUT libssh. Am i right that you have 
> SSH option disabled (default)?
>
> -- 
> Regards,
> Ruslan
>
Comment 18 R.Mahmatkhanov 2011-08-15 19:56:56 UTC
Hi, Gábor.

Please commit this patch. It unbreaks the build in case libssh is not 
requested and libidn is installed, reported and fixed by Michael 
Scheidell <scheidell@secnap.net>. Also explicit dependencies on libidn, 
libpcre, libsasl added. libsasl used in ${WRKSRC}/hydra-nntp.c so i also 
added it in deps list.

Here is the logs:
8.2: http://happy-nation.by.ru/ports/tb/8.2/hydra-6.5_1.log
7.4: http://happy-nation.by.ru/ports/tb/7.4/hydra-6.5_1.log

I also successfully built it in 9.0, but not in tinderbox.
There is also related pr, that should be closed:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159789

Thanks.

-- 
Regards,
Ruslan
Comment 19 dfilter service freebsd_committer 2011-08-18 19:57:28 UTC
gabor       2011-08-18 18:57:15 UTC

  FreeBSD ports repository

  Modified files:
    security/hydra       Makefile 
    security/hydra/files patch-configure 
  Log:
  - Unbreak the build when libssh is not enabled but libidn is
  - Add some LIB_DEPENDS
  
  PR:             ports/159124
  Submitted by:   Michael Scheidell <scheidell@secnap.net>
  Reviewed by:    Helmut Schneider <jumper99@gmx.de>
  Approved by:    Ruslan Mahmatkhanov <cvs-src@yandex.ru> (maintainer)
  
  Revision  Changes    Path
  1.30      +5 -0      ports/security/hydra/Makefile
  1.6       +12 -2     ports/security/hydra/files/patch-configure
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 20 Gabor Kovesdan freebsd_committer 2011-08-18 19:58:04 UTC
State Changed
From-To: open->closed

Committed, thanks!